{stdenv, lib, fetchFromGitHub }:

stdenv.mkDerivation rec {
  pname = "exploitdb";
  version = "2021-09-30";

  src = fetchFromGitHub {
    owner = "offensive-security";
    repo = pname;
    rev = version;
    sha256 = "sha256-chGmv6zeiYKNY8oA54FmVU7RGXd+uM6MHfUQXb6YfqE=";
  };

  installPhase = ''
    runHook preInstall
    mkdir -p $out/bin
    cp --recursive ./* $out/bin
    cp ./.searchsploit_rc $out/bin
    runHook postInstall
  '';

  meta = with lib; {
    homepage = "https://github.com/offensive-security/exploitdb";
    description = "Archive of public exploits and corresponding vulnerable software";
    license = with licenses; [ gpl2Plus gpl3Plus mit ];
    maintainers = with maintainers; [ applePrincess ];
    mainProgram = "searchsploit";
  };
}
